<%
/**
 * Copyright (c) 2000-2009 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/portlet/tagged_content/init.jsp" %>

<%
String redirect = ParamUtil.getString(request, "backURL");

redirect = ParamUtil.getString(request, "redirect");

ResultRow row = (ResultRow)request.getAttribute(WebKeys.SEARCH_CONTAINER_RESULT_ROW);

Document assetDoc = (Document)row.getObject();

Element root = assetDoc.getRootElement();

int assetOrder = GetterUtil.getInteger(root.elementText("asset-order"));
boolean last = GetterUtil.getBoolean(root.elementText("last"));
%>

<c:choose>
	<c:when test="<%= (assetOrder == 0) && last %>">
	</c:when>
	<c:when test="<%= (assetOrder > 0) && !last %>">

		<%
		String taglibDownURL = "javascript: " + renderResponse.getNamespace() + "moveSelectionDown('" + assetOrder + "')";
		%>

		<liferay-ui:icon src='<%= themeDisplay.getPathThemeImages() + "/arrows/02_down.png" %>' message="down" url="<%= taglibDownURL %>" />

		<%
		String taglibUpURL = "javascript: " + renderResponse.getNamespace() + "moveSelectionUp('" + assetOrder + "')";
		%>

		<liferay-ui:icon src='<%= themeDisplay.getPathThemeImages() + "/arrows/02_up.png" %>' message="up" url="<%= taglibUpURL %>" />
	</c:when>
	<c:when test="<%= assetOrder == 0 %>">

		<%
		String taglibDownURL = "javascript: " + renderResponse.getNamespace() + "moveSelectionDown('" + assetOrder + "')";
		%>

		<liferay-ui:icon src='<%= themeDisplay.getPathThemeImages() + "/arrows/02_down.png" %>' message="down" url="<%= taglibDownURL %>" />
	</c:when>
	<c:when test="<%= last %>">

		<%
		String taglibUpURL = "javascript: " + renderResponse.getNamespace() + "moveSelectionUp('" + assetOrder + "')";
		%>

		<liferay-ui:icon src='<%= themeDisplay.getPathThemeImages() + "/arrows/02_up.png" %>' message="up" url="<%= taglibUpURL %>" />
	</c:when>
</c:choose>

<liferay-portlet:actionURL portletConfiguration="true" windowState="<%= WindowState.MAXIMIZED.toString() %>" var="deleteURL">
	<portlet:param name="<%= Constants.CMD %>" value="remove-selection" />
	<portlet:param name="redirect" value="<%= redirect %>" />
	<portlet:param name="assetOrder" value="<%= String.valueOf(assetOrder) %>" />
</liferay-portlet:actionURL>

<liferay-ui:icon-delete url="<%= deleteURL %>" />